# Method Stdio.File()->query_buffer_mode()

Method query_buffer_mode

  ``array`(`Stdio.Buffer`|`int(0..0)`) query_buffer_mode()`

Description

  Get the active input and output buffers that have been set with set_buffer_mode() (if any).

Returns

  Returns an array with two elements:

  Array
  ``Stdio.Buffer` `0`` | The current input buffer.
  ``Stdio.Buffer` `1`` | The current output buffer.

See also

  set_buffer_mode()